/**************************************************************************/
/* GF80 ( DB定義書マスタテーブル )                                        */
/*                                                                        */
/* Created : 2012/06/01 18:24:29                                          */
/**************************************************************************/
CREATE TABLE GF80 (
   SYSTEM_ID    VARCHAR(10)                  NOT NULL      /* 10  システムID   */
 , TBLSYU       VARCHAR(1)                   NOT NULL      /* 20  テーブル種別 */
 , TABLE_NAME   VARCHAR(50)                  NOT NULL      /* 30  テーブル名   */
 , NAME_JA      VARCHAR(200)                               /* 40  名称         */
 , SEQNO        NUMERIC(7)       DEFAULT 0   NOT NULL      /* 50  表示順       */
 , CLM_NAME     VARCHAR(120)                               /* 60  項目名(漢字) */
 , CLM          VARCHAR(30)                  NOT NULL      /* 70  項目         */
 , CLS_NAME     VARCHAR(10)                  NOT NULL      /* 80  DBクラス     */
 , PHY_LENGTH   VARCHAR(10)                                /* 90  物理桁数     */
 , USE_LENGTH   VARCHAR(9)       DEFAULT '0'               /* 100 使用桁数     */
 , UK           VARCHAR(2)                                 /* 110 UK           */
 , LUK          VARCHAR(2)                                 /* 120 LUK          */
 , IXA          VARCHAR(2)                                 /* 130 IXA          */
 , IXB          VARCHAR(2)                                 /* 140 IXB          */
 , IXC          VARCHAR(2)                                 /* 150 IXC          */
 , IXD          VARCHAR(2)                                 /* 160 IXD          */
 , IXE          VARCHAR(2)                                 /* 170 IXE          */
 , IXF          VARCHAR(2)                                 /* 180 IXF          */
 , IXG          VARCHAR(2)                                 /* 190 IXG          */
 , IXH          VARCHAR(2)                                 /* 200 IXH          */
 , IXI          VARCHAR(2)                                 /* 210 IXI          */
 , IXJ          VARCHAR(2)                                 /* 220 IXJ          */
 , IXK          VARCHAR(2)                                 /* 230 IXK          */
 , NOT_NULL     VARCHAR(1)                                 /* 240 NOT NULL     */
 , C_KEY        VARCHAR(1)                                 /* 250 C_KEY        */
 , F_KEY        VARCHAR(1)                                 /* 260 F_KEY        */
 , RENDERER     VARCHAR(10)                                /* 270 表示種別     */
 , EDITOR       VARCHAR(10)                                /* 280 編集種別     */
 , DBTYPE       VARCHAR(10)                                /* 290 文字種別     */
 , DATA_DEFAULT VARCHAR(30)                                /* 300 初期値       */
 , KBCLM        VARCHAR(1)                                 /* 310 カラム区分   */
 , BIKO         VARCHAR(2000)                              /* 320 備考         */
 , CDKH         VARCHAR(1)                                 /* 330 改廃コード   */
 , COMMENTS     VARCHAR(500)                               /* 340 コメント     */
 , UNIQ         BIGINT                       NOT NULL      /* 350 ユニークキー */
 , FGJ          VARCHAR(1)       DEFAULT '1' NOT NULL      /* 360 状態フラグ   */
 , DYSET        VARCHAR(14)                                /* 370 登録日時     */
 , PGSET        VARCHAR(10)                                /* 380 作成PG       */
 , PGPSET       VARCHAR(10)                                /* 390 作成親PG     */
 , USRSET       VARCHAR(10)                                /* 400 作成社員     */
 , DYUPD        VARCHAR(14)                                /* 410 更新日時     */
 , PGUPD        VARCHAR(10)                                /* 420 更新PG       */
 , PGPUPD       VARCHAR(10)                                /* 430 更新親PG     */
 , USRUPD       VARCHAR(10)                                /* 440 更新者       */
);

CREATE SEQUENCE GF80S00 ;


CREATE TRIGGER GF80T00 FOR GF80
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF80S00,1 );
  END; 


